Subject: Re: [PATCH 07/13] prune_remote(): use delete_refs()

From: Jeff King <[email-masked]>
Date: Mon, 8 Jun 2015 13:12:03 -0400

On Mon, Jun 08, 2015 at 09:57:04AM -0700, Stefan Beller wrote:

> On Mon, Jun 8, 2015 at 4:45 AM, Michael Haggerty <[email-masked]> wrote:
> > This will result in errors being emitted for references that can't be
> > deleted, but that is a good thing.
> 
> This sounds a bit like hand-waving to me. "Trust me, I'm an engineer!".

I think the argument is "we failed to do that the user asked for, but
never reported the reason why".

But I don't see how that is the case. We already complain if
repack_without_refs fail, and AFAICT the original call to delete_ref()
would emit an error, as well.

-Peff